//---------------------------------------------------------------------------
//
// Name:        AberturaFrm.cpp
// Author:      Rafael Rieder
// Created:     11/11/2006 15:10:56
// Description: AberturaFrm class implementation
//
//---------------------------------------------------------------------------

#include "AberturaFrm.h"
#include "InterfaceFrm.h"
#include "ListaFrm.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include "AberturaFrm_XPM.xpm"
////Header Include End

//----------------------------------------------------------------------------
// AberturaFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(AberturaFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(AberturaFrm::OnClose)
	EVT_BUTTON(ID_WXBUTTON1,AberturaFrm::WxButton1Click)
	EVT_BUTTON(ID_LISTARBUTTON,AberturaFrm::ListarButtonClick)
	EVT_BUTTON(ID_ABRIRBUTTON,AberturaFrm::AbrirButtonClick)
END_EVENT_TABLE()
////Event Table End

AberturaFrm::AberturaFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

AberturaFrm::~AberturaFrm()
{
}

void AberturaFrm::CreateGUIControls()
{
	//Do not add custom code here
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxPanel1 = new wxPanel(this, ID_WXPANEL1, wxPoint(0,0), wxSize(427,201));

	WxStaticBox1 = new wxStaticBox(WxPanel1, ID_WXSTATICBOX1, wxT(""), wxPoint(12,8), wxSize(413,139));

	WxStaticText1 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT1, wxT("Entre com o nmero de matrcula:"), wxPoint(24,26), wxDefaultSize, 0, wxT("WxStaticText1"));
	WxStaticText1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticText2 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT2, wxT("Escolha a disciplina:"), wxPoint(23,92), wxDefaultSize, 0, wxT("WxStaticText2"));
	WxStaticText2->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	EntraMatriculaText = new wxTextCtrl(WxPanel1, ID_ENTRAMATRICULATEXT, wxT(""), wxPoint(223,19), wxSize(140,21), 0, wxDefaultValidator, wxT("EntraMatriculaText"));

	AbrirButton = new wxButton(WxPanel1, ID_ABRIRBUTTON, wxT("Abrir..."), wxPoint(289,48), wxSize(75,25), 0, wxDefaultValidator, wxT("AbrirButton"));
	AbrirButton->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	ListarButton = new wxButton(WxPanel1, ID_LISTARBUTTON, wxT("Listar Alunos..."), wxPoint(260,111), wxSize(106,25), 0, wxDefaultValidator, wxT("ListarButton"));
	ListarButton->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	wxArrayString arrayStringFor_DisciplinaCombo;
	arrayStringFor_DisciplinaCombo.Add(wxT("Programao de Software Bsico"));
	arrayStringFor_DisciplinaCombo.Add(wxT("Faa aparecer aqui as outras disciplinas"));
	DisciplinaCombo = new wxChoice(WxPanel1, ID_DISCIPLINACOMBO, wxPoint(148,86), wxSize(217,21), arrayStringFor_DisciplinaCombo, 0, wxDefaultValidator, wxT("DisciplinaCombo"));
	DisciplinaCombo->SetSelection(-1);

	WxButton1 = new wxButton(WxPanel1, ID_WXBUTTON1, wxT("Encerra"), wxPoint(342,157), wxSize(75,25), 0, wxDefaultValidator, wxT("WxButton1"));

	SetTitle(wxT(".::. Sistema de Matrculas .::. Tela de Abertura"));
	wxIcon AberturaFrm_ICON (AberturaFrm_XPM);
	SetIcon(AberturaFrm_XPM);
	SetSize(8,8,435,235);
	Center();
	
	////GUI Items Creation End
}

void AberturaFrm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * AbrirButtonClick
 */
void AberturaFrm::AbrirButtonClick(wxCommandEvent& event)
{
    InterfaceFrm* frame = new InterfaceFrm(NULL);
    frame->SetMatricula(EntraMatriculaText->GetValue());
    frame->SetMyDetails();
    frame->Show();

    Destroy();
}

/*
 * ListarButtonClick
 */
void AberturaFrm::ListarButtonClick(wxCommandEvent& event)
{
    ListaFrm* frame = new ListaFrm(NULL);
    frame->SetDisciplina(DisciplinaCombo->GetStringSelection());
    frame->SetCodCred(wxT("4613S"));
    frame->SetTurma(wxT("128"));   
    frame->SetMyDetails();
    frame->Show();
    Destroy();
}

/*
 * WxButton1Click
 */
void AberturaFrm::WxButton1Click(wxCommandEvent& event)
{
	// insert your code here
    wxMessageBox("Insira seu cdigo no evento OnClick deste boto!!! (1001)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
    Destroy();

}
