//---------------------------------------------------------------------------
//
// Name:        AberturaFrm.h
// Author:      Rafael Rieder
// Created:     11/11/2006 15:10:56
// Description: AberturaFrm class declaration
//
//---------------------------------------------------------------------------

#ifndef __ABERTURAFRM_h__
#define __ABERTURAFRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/choice.h>
#include <wx/button.h>
#include <wx/textctrl.h>
#include <wx/stattext.h>
#include <wx/statbox.h>
#include <wx/panel.h>
////Header Include End

////Dialog Style Start
#undef AberturaFrm_STYLE
#define AberturaFrm_STYLE wxCAPTION | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class AberturaFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		AberturaFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT(".::. Sistema de Matrculas .::. Tela de Abertura"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = AberturaFrm_STYLE);
		virtual ~AberturaFrm();
		void AbrirButtonClick(wxCommandEvent& event);
		void ListarButtonClick(wxCommandEvent& event);
		void WxButton1Click(wxCommandEvent& event);
		
	private:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxButton *WxButton1;
		wxChoice *DisciplinaCombo;
		wxButton *ListarButton;
		wxButton *AbrirButton;
		wxTextCtrl *EntraMatriculaText;
		wxStaticText *WxStaticText2;
		wxStaticText *WxStaticText1;
		wxStaticBox *WxStaticBox1;
		wxPanel *WxPanel1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXBUTTON1 = 1031,
			ID_DISCIPLINACOMBO = 1030,
			ID_LISTARBUTTON = 1028,
			ID_ABRIRBUTTON = 1027,
			ID_ENTRAMATRICULATEXT = 1026,
			ID_WXSTATICTEXT2 = 1025,
			ID_WXSTATICTEXT1 = 1024,
			ID_WXSTATICBOX1 = 1008,
			ID_WXPANEL1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
