//---------------------------------------------------------------------------
//
// Name:        ListaFrm.cpp
// Author:      Rafael Rieder
// Created:     11/11/2006 16:26:41
// Description: ListaFrm class implementation
//
//---------------------------------------------------------------------------

#include "ListaFrm.h"
#include "AberturaFrm.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include "ListaFrm_XPM.xpm"
////Header Include End

//----------------------------------------------------------------------------
// ListaFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(ListaFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(ListaFrm::OnClose)
	EVT_BUTTON(ID_WXBUTTON2,ListaFrm::WxButton2Click)
	EVT_BUTTON(ID_WXBUTTON1,ListaFrm::WxButton1Click)
END_EVENT_TABLE()
////Event Table End

ListaFrm::ListaFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

ListaFrm::~ListaFrm()
{
}

void ListaFrm::CreateGUIControls()
{
	//Do not add custom code here
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxPanel1 = new wxPanel(this, ID_WXPANEL1, wxPoint(0,0), wxSize(632,478));

	WxStaticBox1 = new wxStaticBox(WxPanel1, ID_WXSTATICBOX1, wxT(""), wxPoint(12,106), wxSize(605,324));
	WxStaticBox1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticBox2 = new wxStaticBox(WxPanel1, ID_WXSTATICBOX2, wxT(""), wxPoint(11,12), wxSize(606,85));

	WxStaticText1 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT1, wxT("Disciplina:"), wxPoint(25,26), wxDefaultSize, 0, wxT("WxStaticText1"));
	WxStaticText1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticText2 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT2, wxT("Cdigo / Crditos:"), wxPoint(25,47), wxDefaultSize, 0, wxT("WxStaticText2"));
	WxStaticText2->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticText3 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT3, wxT("Turma:"), wxPoint(25,68), wxDefaultSize, 0, wxT("WxStaticText3"));
	WxStaticText3->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	wxArrayString arrayStringFor_ListaList;
	ListaList = new wxListBox(WxPanel1, ID_LISTALIST, wxPoint(25,139), wxSize(579,277), arrayStringFor_ListaList, wxLB_SINGLE);

	WxStaticText4 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT4, wxT("Matrcula"), wxPoint(25,122), wxDefaultSize, 0, wxT("WxStaticText4"));
	WxStaticText4->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticText5 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT5, wxT("Aluno"), wxPoint(117,122), wxDefaultSize, 0, wxT("WxStaticText5"));
	WxStaticText5->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	DisciplinaText = new wxStaticText(WxPanel1, ID_DISCIPLINATEXT, wxT("Nome"), wxPoint(90,24), wxDefaultSize, 0, wxT("DisciplinaText"));
	DisciplinaText->SetFont(wxFont(10, wxSWISS, wxITALIC,wxNORMAL, FALSE));

	TurmaText = new wxStaticText(WxPanel1, ID_TURMATEXT, wxT("Numero"), wxPoint(72,67), wxDefaultSize, 0, wxT("TurmaText"));
	TurmaText->SetFont(wxFont(10, wxSWISS, wxITALIC,wxNORMAL, FALSE));

	CodCredText = new wxStaticText(WxPanel1, ID_CODCREDTEXT, wxT("CodCred"), wxPoint(133,46), wxDefaultSize, 0, wxT("CodCredText"));
	CodCredText->SetFont(wxFont(10, wxSWISS, wxITALIC,wxNORMAL, FALSE));

	WxButton1 = new wxButton(WxPanel1, ID_WXBUTTON1, wxT("OK"), wxPoint(533,437), wxSize(75,25), 0, wxDefaultValidator, wxT("WxButton1"));

	WxButton2 = new wxButton(WxPanel1, ID_WXBUTTON2, wxT("Exporta"), wxPoint(437,437), wxSize(75,25), 0, wxDefaultValidator, wxT("WxButton2"));

	SetTitle(wxT(".::. Sistema de Matrculas .::. Lista de Alunos na Disciplina"));
	wxIcon ListaFrm_ICON (ListaFrm_XPM);
	SetIcon(ListaFrm_XPM);
	SetSize(8,8,640,512);
	Center();
	
	////GUI Items Creation End
}

void ListaFrm::OnClose(wxCloseEvent& event)
{
    AberturaFrm* frame = new AberturaFrm(NULL);
    frame->Show();
	Destroy();
}

void ListaFrm::SetMyDetails()
{
    DisciplinaText->SetLabel(GetDisciplina());
    CodCredText->SetLabel(GetCodCred());
    TurmaText->SetLabel(GetTurma());
    ListaList->SetFocus();
}

void ListaFrm::SetDisciplina(wxString disciplina)
{
    _disciplina = disciplina;
}

wxString ListaFrm::GetDisciplina()
{
    return _disciplina;
}

void ListaFrm::SetCodCred(wxString codcred)
{
    _codcred = codcred;
}

wxString ListaFrm::GetCodCred()
{
    return _codcred;
}

void ListaFrm::SetTurma(wxString turma)
{
    _turma = turma;
}

wxString ListaFrm::GetTurma()
{
    return _turma;
}

/*
 * WxButton2Click
 */
void ListaFrm::WxButton2Click(wxCommandEvent& event)
{
    wxMessageBox("Insira seu cdigo no evento OnClick deste boto!!! (1002)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
	
	
}

/*
 * WxButton1Click
 */
void ListaFrm::WxButton1Click(wxCommandEvent& event)
{
    wxMessageBox("Insira seu cdigo no evento OnClick deste boto!!! (1003)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);

	
}
