//---------------------------------------------------------------------------
//
// Name:        ListaFrm.h
// Author:      Rafael Rieder
// Created:     11/11/2006 16:26:41
// Description: ListaFrm class declaration
//
//---------------------------------------------------------------------------

#ifndef __LISTAFRM_h__
#define __LISTAFRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/button.h>
#include <wx/listbox.h>
#include <wx/stattext.h>
#include <wx/statbox.h>
#include <wx/panel.h>
////Header Include End

////Dialog Style Start
#undef ListaFrm_STYLE
#define ListaFrm_STYLE wxCAPTION | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class ListaFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		ListaFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT(".::. Sistema de Matrculas .::. Lista de Alunos na Disciplina"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = ListaFrm_STYLE);
		virtual ~ListaFrm();
        void SetMyDetails();
        void SetDisciplina(wxString disciplina);
        wxString GetDisciplina();
        void SetCodCred(wxString codcred);
        wxString GetCodCred();
        void SetTurma(wxString turma);
        wxString GetTurma();
		void WxButton2Click(wxCommandEvent& event);
		void WxButton1Click(wxCommandEvent& event);
		
	private:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxButton *WxButton2;
		wxButton *WxButton1;
		wxStaticText *CodCredText;
		wxStaticText *TurmaText;
		wxStaticText *DisciplinaText;
		wxStaticText *WxStaticText5;
		wxStaticText *WxStaticText4;
		wxListBox *ListaList;
		wxStaticText *WxStaticText3;
		wxStaticText *WxStaticText2;
		wxStaticText *WxStaticText1;
		wxStaticBox *WxStaticBox2;
		wxStaticBox *WxStaticBox1;
		wxPanel *WxPanel1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXBUTTON2 = 1026,
			ID_WXBUTTON1 = 1025,
			ID_CODCREDTEXT = 1024,
			ID_TURMATEXT = 1023,
			ID_DISCIPLINATEXT = 1022,
			ID_WXSTATICTEXT5 = 1021,
			ID_WXSTATICTEXT4 = 1020,
			ID_LISTALIST = 1019,
			ID_WXSTATICTEXT3 = 1018,
			ID_WXSTATICTEXT2 = 1017,
			ID_WXSTATICTEXT1 = 1016,
			ID_WXSTATICBOX2 = 1012,
			ID_WXSTATICBOX1 = 1008,
			ID_WXPANEL1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
		wxString _disciplina;
		wxString _codcred;
		wxString _turma;
};

#endif
